#include <stdio.h>
#include <fcntl.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <net/if.h>
#include <netdb.h>
#include "otto_ioctl.h"
#include "otto_map.h"

static int	 fd = -1;

static void open_device(char *interface)
{
	char path[1024];
	strcpy (path, "/dev/");
	strcat (path, interface);
	if ((fd = open(path, O_RDONLY, 0)) < 0) {
		perror(path);
		exit(1);
	}
}

static void close_device()
{
	(void) close(fd);
	fd = -1;
}

int main(int argc, char **argv)
{
	char *interface = "otto0";

	if (argc > 1) {
		interface = argv[1];
	}

	open_device (interface);
	if (ioctl(fd, OTTO_FLOW_RESYNC, (char *) 0) == -1) {
		perror ("ioctl");
	}
	close_device();

	return (0);
}
